AOZ Studio Beta - Bug #41

Zones cause massive slowdown
01/21/2020 04:25 PM - Anonymous

Status: Rejected Start date: 01/21/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.2.6

Description

reserve zone 3

box 10,10 to 50,50

set zone 1,10,10 to 50,50

box 80,10 to 150,50

locate 30,0:print xgr,ygr

set zone 2,80,10 to 150,50

locate 10,20:print "MOUSE..."

while mouse key=0

locate 0,0:print "Zone: ";str$(mouse zone)
locate 15,0:print int(x mouse),int(y mouse)
locate 15,1:print int(x hard(x mouse)),int(y hard(y mouse))
wend

This almost stops my PC from responding.

History

#1 - 01/21/2020 04:38 PM - Paul Kitching

| submitted this before creating an account.

I now know what the problem is. It's not zones, it's having a loop without a WAIT VBL. A lot of my code that I've created to test commands doesn't
have a wait vbl in the loops, as it used to run really quickly without it, but now it causes problems and unresponsiveness.

#2 - 01/21/2020 05:24 PM - Francois Lionet

- Status changed from New to Rejected

this is not actually a 'bug'. You HAVE to slow down loops in AOZ with a Wait Vbl, or choose another settings for the 'speed' parameter in the manifest.
'safe’ is good, or 'graphics'...
| will work on that so that it is automatic in the middle of February...

05/19/2024 1/1



http://www.tcpdf.org

